Product Description

The EFM140Ô provides a new tool for electrochemical corrosion testing -- "Electrochemical Frequency Modulation" or "EFM." EFM allows rapid measurement of corrosion rate without a priori knowledge of Tafel constants. Like Polarization Resistance or EIS, it is a non-destructive technique.

The EFM140 runs under the Gamry FrameworkÔ, which in turn runs under the MicrosoftÒ WindowsÓ operating environment.

The EFM140 allows you to explore this new technique at the click of a button. Both a single-shot EFM measurement and a "EFM Trend" experiment are available in single cell and multiplexed versions. But when a standard test isn't enough, you can create new tests using our ExplainÔ script language. Data manipulation and display is done using the Gamry Echem AnalystÔ.

You can use the EFM140 with any one of Gamry Instruments' PC4 or PCI4 family of Potentiostat/Galvanostat/ZRAs.

Further information may be available at the Gamry web site, www.gamry.com

A more detailed description of the theory of Electrochemical Frequency Modulation can be found in the following literature references:

"Instantaneous Corrosion Rate Measurement with Small-Amplitude Potential Intermodulation Techniques", RW Bosch and WF Bogaerts, Corrosion, 52 (1996) 204.

"Electrochemical Frequency Modulation: A New Electrochemical Technique for Online Corrosion Monitoring", RW Bosch, J Hubrecht, WF Bogaerts, and BC Syrett, Corrosion, 57 (2001) 60.


Basics to Electrochemical Frequency Modulation

Basics of Electrochemical Frequency Modulation

Electrochemical Frequency Modulation is a nondestructive corrosion measurement technique that can directly give values of the corrosion current without a priori knowledge of Tafel constants. Like EIS, it is a small signal AC technique. Unlike EIS, however, two sine waves (at different frequencies) are applied to the cell simultaneously. Because current is a non-linear function of potential ( see Butler-Volmer ), the system responds in a non-linear way to the potential excitation. The current response contains not only the input frequencies, but also contains frequency components which are the sum, difference, and multiples of the two input frequencies.

The theory is beyond the scope of this introduction. However, it has been shown that this non-linear response contains enough information about the corroding system so that the corrosion current can be calculated directly.

The two frequencies may not be chosen at random. They must both be small, integer multiples of a 'base frequency' that determines the length of the experiment. The figure below shows the waveform when the two input frequencies are 2 Hz and 5 Hz. The Base frequency was 1 Hz, so the waveform repeats after 1 second.

The higher frequency must be at least two times the lower one. The higher frequency must also be sufficiently slow that the charging of the double layer does not contribute to the current response. Often, 10 Hz is a reasonable limit.

The current response is measured and processed. The result is a spectrum of current response as a function of frequency. The spectrum is called the 'intermodulation spectrum' and an example is shown below. The two large peaks, with amplitudes of about 200 microamp, are the response to the 2 Hz and 5 Hz excitation frequencies. Those peaks between 1 microamp and 20 microamp are the harmonics, sums, and differences of the two excitation frequencies. These peaks are used by the EFM140 to calculate the corrosion current and the Tafel constants. It is important to note that between the peaks the current response is very small. There is nearly no response (<100 nA) at 4.5 Hz, for example.

The frequencies and amplitudes of the peaks are not coincidences. They are direct consequences of the EFM theory.

Calculating the Corrosion Current and the Corrosion Rate

Taking the example above, a Base Frequency of 1Hz is used together with MultiplierA = 2 and MultiplierB = 5. The table, below, shows the calculation of the frequencies used in the EFM calculation and the amplitudes expected. In the excitation waveform, 2Hz and 5Hz are present with equal amplitudes so it is not much of a surprise that the current response at these two frequencies should be equal.

 | value | frequency, Hz | amplitude
A | 2 | 2 | a
B | 5 | 5 | a
B - A | 5 - 2 | 3 | b
B + A | 5 + 2 | 7 | b
B - 2A | 5 - 2(2) | 1 | c
2B - A | 2(5) - 2 | 8 | c
B + 2A | 5 + 2(2) | 9 | c
2B + A | 2(5) + 2 | 12 | c
2A | 2(2) | 4 | d
2B | 2(5) | 10 | d
3A | 3(2) | 6 | e
3B | 3(5) | 15 | e

The five constants, a to e, will depend on the type of corrosion taking place. The equations, below, are valid if both the anodic and cathodic processes are activation (kinetically) controlled. Very similar equations can be derived for the case of a passive metal, or for a diffusion controlled cathodic process.

ba, bc = Tafel constants, volt / loge unit; V = excitation amplitude, volt
amplitude | Value for Activation Control of Corrosion
a | icorr {V/ba + V/bc}
b | (1/4) icorr { (V/ba)2 - (V/bc)2 }
c | (1/24) icorr { (V/ba)3 + (V/bc)3 }
d | (1/2) icorr { (V/ba)2 - (V/bc)2 }
e | (1/8) icorr { (V/ba)3 + (V/bc)3 }

The value of icorr can be calculated from the measured amplitudes a, b, and c. Values of ba and bc can also be calculated. The corrosion rate can be obtained directly from the value of icorr.

Causality Factors

The great strength of the Electrochemical Frequency Modulation Technique is that, according to EFM theory, the ratio of the constant b to d should not depend on corrosion rate or Tafel constants. The ratio d/b is given the name Causality Factor 2 because that ratio is 2.0 ! Likewise, the ratio e/c should be equal to 3.0, and is given the name Causality Factor 3. These Causality Factors serve as an internal check on the validity of the EFM measurement!


Current and Voltage Conventions

A current value of -1.2 mA can mean different things to workers in different areas of electrochemistry. To an analytical electrochemist it represents 1.2 mA of anodic current. To a corrosion scientist it represents 1.2 mA of cathodic current. In the EFM140's standard techniques we follow the corrosion convention for current. Positive currents are anodic, resulting in an oxidation at the metal specimen under test.

Potentials can also be a source of confusion. In the EFM140, the equilibrium potential assumed by the metal in the absence of electrical connections to the metal is called the Open Circuit Potential ,Eoc. We have reserved the term Corrosion Potential, Ecorr for the potential at which no current flows, as determined by a numerical fit of current versus potential data. In an ideal case, the values for Eoc and Ecorr will be identical. One reason the two voltages may differ is changes in the electrode surface during the scan.

In the EFM140, all potentials are specified or reported as the potential of the working electrode with respect to either the reference electrode or the open circuit potential. The former is always labeled as "vs Eref" and the later is labeled as "vs Eoc". The equations used to convert from one form of potential to the other are:

E vs Eoc = ( E vs Eref) - Eoc

E vs Eref = ( E vs Eoc) + Eoc

Regardless off whether potentials are versus Eref or versus Eoc, one sign convention is used. The more positive a potential, the more anodic it is. More anodic potentials tend to accelerate oxidation of a metal specimen.


Notational Conventions

In order to make this help file more readable we have adopted some of Microsoft's standard notational conventions and added some of our own. These are used throughout this help file.

  • Key names. The names of keys are spelled out in this manual (for example escape, enter, control) appear as small capital letters. The key caps on your keyboard may abbreviate the names or represent them differently. For example, the escape key is often labeled Esc and the enter and tab keys are often labeled with arrows.
  • Key combinations. A plus sign between two characters indicates that the keys are pressed at the same time. An example is alt+escape to switch between windows.
  • A comma between key names indicates that the keys are pressed sequentially, pressing and releasing one key before pressing the next key.
  • direction keys. The direction keys are the four pointing keys, labeled with arrows, on your computers keypad. The name of the individual direction key refers to the direction the key points: up, down, right and left.
  • Italics. Italics indicate words and characters that you type.
  • Numbered lists. A numbered list is reserved for step by step procedures, with the steps always performed sequentially.
  • Bulleted List. The items in a bulleted list, such as this one, are grouped together because they represent similar items. The order of items in the list is not critical.
  • Hexadecimal numbers. Hexadecimal numbers are used for hardware related items such as I/O addresses. The EFM140 and this help file use the C programming language convention: all hexadecimal numbers have a prefix of 0x. For example the default I/O addresses used by a PC4 Potentiostat card are 0x120 through 0x13F.
  • File names and directories. Inside paragraphs, references to files and directories will be in quotes, for example: "\My Gamry Data\Mydata.dta" and "\Gamry Instruments\Framework.exe".
  • Windows buttons and menu selections. Labels will be shown in bold type with the accelerator key underlined as shown on the screen, i.e., File.


Corrosion Rate: Calculation

The numerical result obtained by the Electrochemical Frequency Modulation technique is a corrosion current. We are interested in corrosion rates in more useful terms, such as a corrosion rate in millimeters per year. How is corrosion current used to generate a corrosion rate?

Assume an electrolytic dissolution reaction involving a chemical species, S:

S --> Sn+ + ne-

You can relate current flow to mass via Faraday's Law.

QS = n F MS

where

QS is the charge in coulombs resulting from the reaction of species S,
n is the number of electrons transferred per molecule or atom of S,
F is Faraday's constant = 96485.34 coulombs/mole,
MS is the number of moles of species S reacting.

A more useful form of Faraday’s Law requires the concept of equivalent weight. The equivalent weight (EWS) is the mass of species S that will react with one Faraday of charge. For an atomic species EW = AW/n (where AW is the atomic weight of the species). For a complex alloy that undergoes uniform dissolution, the equivalent weight is a weighted average of the equivalent weights of the alloy components. Mole fraction, not mass fraction, is used as the weighting factor. If the dissolution is not uniform, you may have to measure the corrosion products to calculate EW.

Substituting into Faraday’s Law we get:

WS = EWS QS / F

where
WS Is the mass of species S that has reacted.

In cases where the corrosion occurs uniformly across a metal's surface, the corrosion rate can be calculated in units of distance per year. Be careful - this calculation underestimates the problem when localized corrosion occurs!

Conversion from a weight loss to a corrosion rate (CR) is straightforward. We need to know the density, d, and the sample area, A. Charge is given by Q = I T, where T is the time in seconds and I is a current. We can substitute in the value of Faraday's constant. Modifying the previous equation,

CR = Icorr K EW / d A

CR The corrosion rate. Its units are given by the choice of K,
Icorr The corrosion current in amps,
K A constant that defines the units for the corrosion rate,
EW The equivalent weight in grams/equivalent,
d Density in grams/cm3
A Sample area in cm2.

The following table shows the value of K used in the corrosion rate equation for corrosion rates in the units of your choice.

Corrosion Rate Constants
Units for Corrosion Rate | K | Units
mm/year (Gamry default) | 3272 | mm/( Amp cm year )
um/year | 3.272x106 | um/( Amp cm year )
millinches/year | 1.288x105 | milliinches/( Amp cm year)

See ASTM Standard G 102, Standard Practice for Calculation of Corrosion Rates and Related Information from Electrochemical Measurements, for further information. The standard can be obtained from ASTM, 1916 Race St., Philadelphia, Pennsylvania 19013-1187 (USA) www.astm.org.


EFM140: Standard Techniques

EFM140: Overview

This section describes the standard EFM measurement techniques that are included with a EFM140 system. Each technique description includes:

  • A short overview of the technique and its uses.
  • A look at the experimental sequence for that technique.
  • A description of the parameters used in the setup.
  • A description of the analyses that can be performed on the technique's data.

In order to minimize repetition, information relevant to all of the techniques is discussed prior to the individual technique descriptions.

NOTE: For details on how to run experiments using the Framework see the Framework Help Book.

This help file describes the standard technique scripts that we supplied to you. These scripts can be edited. While we strongly recommend that changed versions of these scripts be stored under a new name, we recognize that some people will ignore our recommendation. If you find that your EFM140 does not work as we have described and there is a possibility that the standard script has been changed, please get your system back to normal. Save the changed script under a new name and get the standard script back by copying it from your original CD to your hard disk.

Remember that this help file does not attempt to teach you how to interpret the results of an experiment. A textbook or the original literature may aid you in this regard.


Overview of the Framework Structure

Overview of the Gamry Framework Structure

The EFM140 includes experimental scripts and dynamic linked libraries that are utilized by the Gamry Framework software. The Framework provides a consistent operator's interface for the EFM140 Electrochemical Frequency Modulation and other Gamry Instruments software, such as the DC105 DC Corrosion Measurement System, PHE200 Physical Electrochemistry System and the EIS300 Electrochemical Impedance System.

The Framework works with experimental scripts to provide experimental control, data acquisition, and real-time displays. The Framework runs as a separate Windows application. It is the program you execute when you select the Framework icon in the Windows program manager.

A script contains the instructions required to run a specific experimental technique. You access the EFM140 experiment scripts through selections on the Framework menu bar.

The EFM140 also includes analysis scripts. These scripts run under the Gamry Echem Analyst. The analysis scripts in conjunction with the Echem Analyst are used for data analysis & editing, presentation graphics, and results output. The EFM140 analysis scripts are the subject of a later help section.

The Gamry Echem Analyst can be accessed through a selection on the Framework Menu bar. The Echem Analyst can also be started using the Windows Start menu, or an icon on the desktop.


EFM Purpose

Electrochemical Frequency Modulation: Purpose

A single Electrochemical Frequency Modulation experiment can be used to make a rapid measurement of the corrosion rate of a sample using EFM without a priori knowledge of Tafel constants. You may also wish to run the standard Electrochemical Frequency Modulation experiment in order validate the technique or to view the intermodulation spectrum before running an Electrochemical Frequency Modulation Trend experiment.


Electrochemical Frequency Modulation: Experimental Sequence

Electrochemical Frequency Modulation Technique: Experimental Sequence

The Electrochemical Frequency Modulation standard technique is run by selecting Experiment, Electrochemical Frequency Modulation, Electrochemical Frequency Modulation from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Electrochemical Frequency Modulation.exp" script is run in this window.
  2. The script creates the Setup dialog box and accepts changes in the Setup parameters.
  3. The script now obtains the use of the potentiostat specified during Setup and opens the data file using the Output name. If the potentiostat is in use or the file cannot be opened, the script returns you to the Setup dialog box.
  4. The file header information is written to the data file. This header information includes:

    a) Tags identifying possible analyses
    b) the time and date
    c) a list of the Setup parameters.

    This information is written to the file prior to data acquisition. If the experiment is aborted, the output file contains only this information.
  5. The script conditions the electrode if Conditioning was specified in the Setup.
    Conditioning is done by applying a fixed potential for a defined time. It establishes a known surface state on the corrosion specimen. A plot of current versus time is displayed during the Conditioning.
  6. The cell is turned off and the specimen's Eoc is measured.

    If an Initial Delay is turned on in the Setup, this step lasts for the time specified as the Initial Delay time, or until the potential stabilizes . If no Initial Delay is specified, this step only lasts long enough for Eoc to be measured. A plot of potential versus time is always displayed. The last measured potential is recorded as Eoc.
  7. The cell is turned on and the composite, two sine wave, waveform is applied to the cell. Current readings at fixed time intervals are taken during the experiment. If Autorange was selected, the current scale is automatically optimized at each point in the waveform. The measured potential and current are displayed during the measurement.
  8. Once the scan is over, the cell is turned off. The acquired data is written to the output file. The script then waits for you to select Skip. Once you do so, the script closes everything that's open, including the Runner window.


EFM Setup Parameters

Electrochemical Frequency Modulation: Setup Parameters

Many of the parameters are common to all EFM140 experiments, and have been covered elsewhere. The parameters which are specific to the Electrochemical Frequency Modulation experiment are:

Base Frequency | Amplitude
Multiplier A | DC Voltage
Multiplier B | I/E Range Mode
Number of Cycles | Max Current
Corrosion Type |

You may get information about the controls or settings on the Electrochemical Frequency Modulation setup menu by clicking on the control or setting on the menu image.


EFM Trend: Purpose

Electrochemical Frequency Modulation Trend: Purpose

This experiment allows you to follow changes in the corrosion rate of a sample versus time. The Electrochemical Frequency Modulation Trend script makes a series of Electrochemical Frequency Modulation measurements at fixed time intervals. The resulting data is very useful for metal or inhibitor screening studies and for on-line monitoring.

See the previous help sections for information concerning the EFM measurement. Basically, the Electrochemical Frequency Modulation technique is used to obtain a rapid estimate of the corrosion rate of a metal in a solution. It is particularly applicable to long term monitoring because it involves small ( <20 mV) excursions relative to Eoc. Such small excursions are less likely to change the sample than the larger voltages applied in other techniques.

Electrochemical Frequency Modulation data, after suitable mathematical manipulation, yields an estimate of Icorr which can be used to calculate a corrosion rate. Icorr can is calculated directly from the EFM data. A priori knowledge of the Tafel constants is not required to find the corrosion current, Icorr. Values of the sample's area, density, and equivalent weight are required to convert the corrosion current value into a Corrosion Rate in mpy or mmpy. Although the calculation of corrosion rate does not require Tafel constants (betas), knowledge of the mechanism of corrosion is needed. Corrosion rates can be calculated assuming Activation control (Butler-Volmer kinetics), Diffusion control, or Passivation control.


EFM Trend: Experimental Sequence

Electrochemical Frequency Modulation Trend: Experimental Sequence

The Electrochemical Frequency Modulation standard technique is run by selecting Experiment, Electrochemical Frequency Modulation, Electrochemical Frequency Modulation Trend from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Electrochemical Frequency Modulation Trend.exp" script is run in this window.
  2. The script creates a Runner window. In this runner window, the script displays a Setup dialog box. This dialog box allows you to specify parameters such as the data file name, the parameters for each test, and the sample parameters. Pressing Ok accepts the parameters and starts the experimental run.
  3. The script now obtains the use of the potentiostat specified in the Setup dialog box. If the potentiostat is in use or the output file cannot be opened the script returns you to the Setup dialog box.
  4. The script now opens the data file specified in the setup. The file header information is written to the data file.
    This header information includes:
    a) Tags identifying possible analyses
    b) the time and date at which the script was started
    c) a list of the Setup parameters.

    This information is written to the file prior to data acquisition.
  5. If electrode conditioning was specified in Setup, the script conditions the electrode by applying a known voltage for a period of time.
  6. The system then runs a complete Electrochemical Frequency Modulation experiment. An optional initial delay is performed if it was requested in the setup file. In all cases, Eoc is measured at open circuit prior to the scan.

    Finally the actual measurement occurs. The composite, two sine wave, waveform is applied to the cell. Current readings at fixed time intervals are taken during the experiment. If Autorange was selected, the current scale is automatically optimized at each point in the waveform.
  7. At the conclusion of the EFM measurement, the data is processed based on the Corrosion Type selected in the Setup Menu. The EFM Trend data point is written to the output file and the file is closed. The data point consists of Point number, Time, Rp, Corrosion Rate, Causality Factor 2, Causality Factor 3, Icorr, BetaA, and BetaC. If Diffusion-control or Passivation-control has been specified, the unneeded Beta will be recorded as NIL.
  8. Once the EFM experiment is over, the cell is turned off.
  9. If the Total Time of the trend experiment has not been exceeded, the script checks the Repeat Time and delays if necessary. The sequence then repeats, beginning with step 6.
  10. If the Total Time of the Trend experiment has been exceeded, the script pauses to allow you to view your Trend data. Pressing "F2-Skip" closes the experiment. You may view your recently collected EFM Trend data by opening the data file with the Echem Analyst.


EFM Trend: Setup Parameters

Many of the parameters are common to all EFM140 experiments, and have been covered elsewhere. The following parameters are used to define each EFM measurement in the EFM Trend.

Base Frequency | Amplitude
Multiplier A | DC Voltage
Multiplier B | I/E Range Mode
Number of Cycles | Max Current
Corrosion Type |

The following Setup Parameters define the timing of the Trend experiment.

Repeat Time

Total Time

You may get information about all of the controls or settings on the Electrochemical Frequency Modulation Trend setup menu by clicking on the control or setting on the menu image.


Mulitiplexed EFM Trend: Purpose

This experiment allows you to follow changes (for up to eight samples) in the corrosion rate versus time. A Gamry ECM8 Multiplexer is used to connect your Gamry Potentiostat to each of the active channels in sequence. The Multiplexed EFM Trend script makes a series of Electrochemical Frequency Modulation measurements at fixed time intervals on each of the active channels. The resulting data is very useful for metal or inhibitor screening studies and for on-line monitoring.

See the previous help sections for information concerning the EFM Trend measurement. Basically, the Electrochemical Frequency Modulation technique is used to obtain a rapid estimate of the corrosion rate of a metal in a solution. It is particularly applicable to long term monitoring because it involves small ( <20 mV) excursions relative to Eoc. Such small excursions are less likely to change the sample than the larger voltages applied in other techniques.

Electrochemical Frequency Modulation data, after suitable mathematical manipulation, yields an estimate of Icorr which can be used to calculate a corrosion rate. Icorr can is calculated directly from the EFM data. A priori knowledge of the Tafel constants is not required to find the corrosion current, Icorr. Values of the sample's area, density, and equivalent weight are required to convert the corrosion current value into a Corrosion Rate in mpy or mmpy. Although the calculation of corrosion rate does not require Tafel constants (betas), knowledge of the mechanism of corrosion is needed. Corrosion rates can be calculated assuming Activation control (Butler-Volmer kinetics), Diffusion control, or Passivation control.


Multiplexed EFM: Keyword Definitions

Multiplexed EFM Trend: Keyword Definitions

The following key terms will be used throughout this help section.

Active Cell

Aux A/D

Cell

Channel

Inactive Cell

System Computer

System Potentiostat


Multiplexed EFM Trend: Experimental Sequence

The Multiplexed EFM Trend technique is run by selecting Experiment, Electrochemical Frequency Modulation, Multiplexed EFM Trend from the Framework menu bar. This initiates the following sequence of events:

  1. A Runner window is created by the Framework and the "Multiplexed EFM Trend.EXP" script is run in this window.
  2. The script outputs a Setup dialog box which becomes the active window. This dialog box allows you to specify the channels to be run, information concerning each channel, and global information about the entire experiment on all channels. Pressing OK accepts the parameters and starts the experimental run.
  3. The script opens the electrochemical parameters file (SYSTEM.SET) and recovers the electrochemical system characteristics ( density, Equiv.Wt.) for each active cell from the file. If the file cannot be opened or the requested Setup Name cannot be found, the script warns you and then returns you to the Setup dialog box.
  4. The script opens the data file associated with the each active multiplexer channel to see if there are any problems with the composite (base plus channel number) filename.
  5. The script now obtains the use of the potentiostat and ECM8 multiplexer specified in the script or in the Setup dialog box. It initializes the multiplexer so that all the cells are held at open circuit when they are not being measured. If the potentiostat is in use or the ECM8 cannot be opened the script returns to the Setup dialog box.
  6. If the elapsed time for this experiment is greater than the total experiment time, the script complains and returns to the Setup dialog box.
  7. If conditioning has been selected in Setup, the local potentiostats in the ECM8 are used to condition all the ECM8 channels. This includes both channels selected for data acquisition and cells that are not selected.
  8. The script switches the multiplexer to the first selected channel. A complete EFM experiment is run on this cell.

    An optional initial delay is performed prior to each scan. In all cases, Eoc is measured prior to the scan.

    Finally the actual EFM measurement occurs. The two-frequency composite signal is applied to the cell and the current is recorded. At the conclusion of the measurement the potentiostat cell switch and multiplexer channel are turned off.
  9. The script calculates Icorr, Corrosion Rate, Causality The resulting data point is appended to the data file for that channel and the data file is closed.
  10. Steps 8 though 9 are now repeated for every other active channel.
  11. Once all the channels have been run, the script checks the repeat cycle time and delays if necessary. After this delay it repeats the cycle though the active channels starting with step 8.


Muxed EFM Trend Setup

Multiplexed EFM Trend: Setup Parameters

Many of the parameters are common to all EFM140 experiments, and have been covered elsewhere. The following parameters are used to define each EFM measurement in the Multiplexed EFM Trend.

Base Frequency | Amplitude
Multiplier A | DC Voltage
Multiplier B | I/E Range Mode
Number of Cycles | Max Current
Corrosion Type |

The following Setup Parameters define the timing of the Trend experiment.

Repeat Time

Total Time

You may get information about all of the controls or settings on the Multiplexed Electrochemical Frequency Modulation Trend setup menu by clicking on the control or setting on the menu image.


EFM140: Analysis Overview

The EFM140 uses the Gamry Echem Analyst to display, analyze, and print acquired data files.

The Gamry Echem Analyst uses Visual Basic for Applications (VBA) as a scripting language to control the graphing and manipulation of the experimental data. These VBA analysis scripts are accessible by the user, so that they can be modified to include special analysis routines that are customized to your laboratories needs.


EFM Commands

EFM Analysis: Commands

The following selections appear under the EFM Menu.

Calculate as Active

Selecting this menu choice will cause the Corrosion Current, Corrosion Rate, and anodic and cathodic Tafel constants to be recalculated assuming an Activation controlled corrosion mechanism. The EFM Results tab will reflect this assumption.

Calculate as Diffusion

Selecting this menu choice will cause the Corrosion Current, Corrosion Rate, and anodic Tafel constant to be recalculated assuming that the cathodic process is diffusion-controlled. The EFM Results tab will reflect this assumption.

Calculate as Passive

Selecting this menu choice will cause the Corrosion Current, Corrosion Rate, and cathodic Tafel constant to be recalculated assuming that the anodic process is controlled by a passive layer. The EFM Results tab will reflect this assumption.

Options

Choosing this selection displays a dialog box with the choices listed below. The options presented here apply only to EFM data. The default units for Corrosion Rate is not selected here: It is selected under the Tools / Options Menu.

Units for Time

Time may be displayed in Days/Hours/Minutes/Seconds or Custom. Under Custom, you may enter the Name of a custom time unit and the factor relating it to seconds. As an example, if hours were defined as a custom time unit, the name might be "hour" and the correct factor would be "3600", since there are 3600 seconds in an hour.

A check box allows the time unit defined here to also be used for Open Circuit data.

Data Grid

Checking this box will produce a "Grid Table" for the data presented on the EFM Chart page. This Grid contains the point number, time, voltage, current, and overload status for each point in the EFM Chart.

Save as Defaults

The changes that you have specified will be made the default for the analysis of all new data files.

Apply

Apply these changes to the current data displays. The data files will be re-loaded and any analyses that have been performed will be lost.

Close

Close the Options dialog box.


EFM Trend Commands

EFM Trend Analysis: Commands

The following selections appear under the EFM Trend Menu.

Min/Max

The minimum and maximum values for the Y axis of the active chart will be displayed in a "Quick View" box and entered on a Min/Max Tab. The Min/Max function does not operate on the Y2 axis, if one is displayed.

Average

The average value for the Y axis of the active chart will be displayed in a "Quick View" box and entered on an Average Tab. The Average function does not operate on the Y2 axis, if one is displayed.

Options

Choosing this selection displays a dialog box with the choices listed below. The options presented here apply only to EFM Trend data. The default units for Corrosion Rate is not selected here: It is selected under the Tools / Options Menu.

Units for Time

Time may be displayed in Days/Hours/Minutes/Seconds or Custom. Under Custom, you may enter the Name of a custom time unit and the factor relating it to seconds. As an example, if hours were defined as a custom time unit, the name might be "hour" and the correct factor would be "3600", since there are 3600 seconds in an hour.

A check box allows the time unit defined here to also be used for Open Circuit data.

Data Grid

Checking this box will produce a "Grid Table" for the data presented on the EFM Trend charts. This Grid will contain the point number, time, Rp, Corrosion Rate, Causality Factor 2, Causality Factor 3, Corrosion Current for each point on the EFM Trend Charts. Depending upon the Corrosion Type selected, either the anodic, cathodic, or anodic and cathodic Tafel constants will also be listed.

Save as Defaults

The changes that you have specified will be made the default for the analysis and display of all new EFM Trend data files.

Apply

Apply these changes to the current data displays. The data files will be re-loaded and any analyses that have been performed will be lost.

Close

Close the Options dialog box.


EFM Analysis

Electrochemical Frequency Modulation: Analysis

Loading an Electrochemical Frequency Modulation data file loads the script Electrochemical Frequency Modulation.GScript which generates the following tabs:

EFM Chart

This tab shows the I vs. t chart for all of the data collected. The data from the first cycle is not used for the EFM analysis.

FFT Table

This tab shows the Fourier Transform of the time series data shown in the EFM Chart.

Intermodulation Spectrum

The modulus (absolute value) of the first few entries in the FFT Table is shown on this tab. All of the frequencies used to calculate the corrosion current and causality factors appear in this spectrum. See the Basics of Electrochemical Frequency Modulation for information about the value of these frequencies.

Experimental Setup

The parameters and settings used to run the experiment are shown on this tab. Except for the sample's Equivalent Weight and Density, the parameters shown on this tab can not be changed or edited.

If the Sample Area was entered incorrectly when the experiment was run, you must edit the original data file ( using Windows NotePad ) to change the area.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Open Circuit Voltage

The open circuit voltage that was recorded during the Initial Delay is shown on this tab.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

EFM Results

The corrosion rate, Tafel constants, and Causality factors calculated from the Intermodulation spectrum are shown on this tab. The calculation is based on the Corrosion Type entered in the Setup Menu. The EFM Menu can be used to recalculate the results assuming a different Corrosion Type.

EFM Results Table for the Active Corrosion Type.

The units of Corrosion Rate may be changed under Tools/Options/Units.

Other Pages that may appear:

Curve

If "Display Grid for each data table" has been selected under EFM/Options, this tab will show the point number, time, voltage, current, and overload status for each point in the EFM Chart.


EFM Trend: Analysis

Electrochemical Frequency Modulation Trend: Analysis

The data file from a Electrochemical Frequency Modulation Trend experiment will normally be analyzed by the Electrochemical Frequency Modulation Trend.Gscript data analysis package provided with the EFM140. This script produces the following pages:

Corrosion Rate/Icorr Chart

This page contains a graph of Corrosion Rate (Y axis) and Icorr (Y2 axis) as a function of time. The Corrosion Rate is calculated assuming the Corrosion Type entered in the original setup. It can not be changed.

Causality Factors Chart

This page contains a graph of Causality Factor 2 (Y axis) and Causality Factor 3 (Y2 axis) as a function of time. These factors do not depend upon the Corrosion Type selected in the original setup.

Rp Chart

This page shows a plot of Polarization Resistance calculated from the EFM Intermodulation Spectrum. This plot does not depend upon the Corrosion Type selected.

Betas Chart

This page contains a graph of the Tafel Constants calculated assuming the Corrosion Type entered in the original setup. It can not be changed. Both anodic and cathodic Tafel constants will be calculated only for Activation-controlled corrosion. Only the anodic Tafel constant will be calculated for diffusion-controlled corrosion. Only the cathodic Tafel constant will be calculated for corrosion limited by passivation.

Experimental Setup

The parameters and settings used to run the experiment are shown on this tab. Except for the sample's Equivalent Weight and Density, the parameters shown on this tab can not be changed or edited.

If the Sample Area was entered incorrectly when the experiment was run, you must edit the original data file ( using Windows NotePad ) to change the area.

Experimental Notes

The Experimental Notes are the notes entered by the user prior to the data acquisition. The Notes can be edited in the analysis, and saved with the changes to an analysis data file.

Open Circuit Voltage

The open circuit voltage that was recorded during the Initial Delay is shown on this tab.

Hardware Settings

The Hardware Settings Page contains all of the potentiostat settings used during the run of the experiment.

Other Pages that may appear

Curve

If "Display Grid for each data table" has been selected under EFM Trend/Options, this tab will show the point number, time, Rp, Corrosion Rate, Causality Factor 2, Causality Factor 3, Corrosion Current, Anodic Beta, and Cathodic Beta for each point in the EFM Trend Chart.

Min/Max

This tab displays the last result of the EFM Trend / Min/Max command. This command operates on the Y axis of the chart that was viewed when the command was executed.

Average

This tab displays the last result of the EFM Trend / Average command. This command operates on the Y axis of the chart that was viewed when the command was executed.


Multiplexed EFM Trend: Analysis

The Multiplexed EFM Trend experiment produces an EFM Trend data file for each active channel. Each of these data files can be opened in its own window. See the description of the EFM Trend Analysis for further information.


Overview

Standard Techniques: EFM140

This section describes the standard Electrochemical Frequency Modulation techniques that are included with a EFM140 system. Each technique description includes:

A short overview of the technique and its uses.

A look at the experimental sequence for that technique.

A description of the parameters used in the setup.

A description of the analyses that can be performed on the technique's data.

In order to minimize repetition, information relevant to all of the techniques is discussed prior to the individual technique descriptions.

NOTE: For details on how to run experiments using the Framework see the Gamry Framework Help, Introduction section of Help .

This help file describes the standard technique scripts that we supplied to you. These scripts can be edited. While we strongly recommend that changed versions of these scripts be stored under a new name, we recognize that some people will ignore our recommendation. If you find that your EFM140 does not work as we have described, there is a possibility that the standard script has been changed. Save the changed script under a new name and reinstall the Gamry Framework from your master CD.

Remember that this help file does not attempt to teach you how to interpret the results of an experiment. A textbook or the original literature may aid you in this regard.


Conditioning Time

The Conditioning Time is the length of time that the sample is potentiostatically controlled at the Conditioning Potential.

The units for Conditioning Time are seconds. The minimum time is one second. The maximum time is 400,000 seconds (more than 4 days). Below 1000 seconds, the time resolution is one second. Between 1000 seconds and 10,000 seconds, it is 10 seconds. Above 10,000 seconds, it is 100 seconds.


Delay Stability

In many cases, you really don't want to delay for a fixed time. What you really want is to delay until Eoc stops drifting. The Delay Stability parameter allows you to set a drift rate that you feel represents a stable Eoc.

If the absolute value of the drift rate falls below the Stability parameter, the Initial Delay ends immediately, disregarding the programmed Delay Time. Enter a Delay Stability of zero to assure that the delay will last for the full Delay Time.

The units of the Delay Stability are mV/sec. A typical value is 0.05 mV/sec. The upper limit in this parameter is 8 volts/sec, well above the range of practical stabilities with real cells. The lower limit in the Delay Stability parameter is set by your patience. A stability of 0.01 mV/sec means that a 1 mV drift takes 100 seconds. The EFFM140 will always take data long enough to resolve a 1 mV change in potential at the requested drift rate.


Delay Time

The Initial Delay phase of the experiment is used to allow the open circuit voltage of the sample to stabilize prior to the potential scan. The Delay Time is the time that the sample will be held at open circuit prior to the scan. The delay may stop prior to the Delay Time if the Stability criterion for Eoc is met (see below). The delay time parameter is active only if you have turned on Initial Delay in Setup.

The units for the delay time are seconds. The minimum time is one second, the maximum time is 400,000 seconds (more than 4 days). Below 1000 seconds, the time resolution is one second. Between 1000 seconds and 10,000 seconds, it is 10 seconds. Above 10,000 seconds, it is 100 seconds.


Conditioning E

The techniques included in the EFM140 allow you to condition the electrode as the first step of the experiment. Conditioning is used to insure that the metal sample has a known surface state at the start of the experiment. You may condition to remove an oxide film from the electrode or to grow one. Conditioning is done potentiostatically for a known time. Conditioning can be turned on or off with a check box on the Setup screen.

Conditioning E is the potential applied during the conditioning phase of the experimental sequence. The conditioning potential has an allowed range of ± 8 volts. The resolution is 1/4 mV. If you have enabled IR compensation for the data acquisition phase of your experiment, it is also turned on during conditioning.

Conditioning E is always specified as "vs. Eref", because the Open Circuit potential will not be measured until after Conditioning has been completed.


EFM density

Density

This parameter is the density of your metal sample in grams/cm³. The EFM140 uses the density parameter for calculation of the corrosion rate.


Identifier

The Identifier parameter is a string that is used for two purposes. The Identifier parameter is written to the data file, so it can be used to identify data in database or data manipulation programs. The Identifier string is also used as the title for both real time plots and plots in the data analysis packages.

The Identifier string defaults a name derived from the technique's name. While this makes an acceptable curve label, it does not generate a unique descriptive label for a data set.

The Identifier string is limited to 80 characters. It can include all normally printable characters, including numbers, upper and lower case letters, and most normal punctuation including spaces.


Notes

The Notes field allows you to enter several lines of text that describe the experiment. A typical use of Notes is to record the experimental conditions for a data set.

To the right hand side of the notes is a button. This button allows you to bring up a dialog box, shown below, which will show more of the notes at one time. You can edit the notes in either place.

Notes defaults to an empty string.

The Notes string is limited to 400 characters. It can include all printable characters including numbers, upper and lower case letters, and the most normal punctuation including spaces. tab characters are not allowed in the Notes string.

You can divide your Notes into lines using enter.


EFM output

Output

The Output File parameter is the pathname of the file in which the output data will be written. It can be a simple filename with no path information. In this case the output file is located in the default data folder. The default data folder is specified in the Gamry.INI file under the [FRAMEWORK] section with a Key named DataDir. This default pathname can be changed using the Paths command under the Options Menu.

It can also include path information, such as "C:\My Gamry Data\YOURDATA.DTA." In this example, the data will be written to the "YOURDATA.DTA" file in the "My Gamry Data" folder on drive C.

The default value of the Output File parameter is the technique name with a ".DTA" filename extension. We recommend that you use a ".DTA" filename extension for your data filenames. The data analysis package assumes that all data files have ".DTA" extensions.

NOTE: The software does not automatically append the ".DTA" filename extension. You must add it yourself.

If the script is unable to open the file, an error message box, "Unable to Open File," is generated. Common causes for this type of problem include:

  • An invalid filename.
  • The file is already open under a different Windows application such as the Echem Analyst™.
  • The disk is full.

After you select OK in the error box, the script returns to the Setup box where a new filename can be entered.


Pstat

The Pstat parameter selects the potentiostat/galvanostat that will perform the experiment. Each labeled button corresponds to an installed potentiostat. When a potentiostat has been selected, its corresponding button is filled in.

In a multiple potentiostat system you can change the potentiostat selection by clicking on a Pstat's button using the mouse. From the keyboard, you will tab down until a dotted line appears around one of the Pstat labels, then hit the spacebar to select among the potentiostats. Only one potentiostat can be selected at a time, so selecting one potentiostat will deselect another one.


EFM Sample Area

Sample Area

The Sample Area parameter is the surface area of the sample (in cm²) exposed to the solution and thus available to be corroded.

The EFM140 uses the Sample Area parameter for calculation of current density and the corrosion rate. Do not enter a value of zero!

If you mis-entered the Sample-Area at the time that you set up the experiment, and you wish to correct your mistake or oversight, you must edit the raw data file (.DTA) using Windows Notepad. The Sample Area can not be changed in the Gamry Echem Analyst.


EFM Equivalent Weight

Equivalent Weight

The EFM140 requires the equivalent weight of your sample in order to calculate the Corrosion Rate from the icorr value calculated from the EFM data.

This parameter is the theoretical mass of metal that will be lost from the sample after one Faraday of anodic charge has been passed. Remember that one Faraday of charge is equivalent to an Avagadro's number of electrons. To calculate the equivalent weight for an alloy, you need to know: a) composition of the metal sample, expressed as mole fractions, b) The atomic weight of each alloy constituent, c) The number of electrons, n, lost by each component of the sample as it oxidizes.

Suppose we have a 40:60 mole percent copper:nickel alloy dissolving in an acidic chloride solution. Nickel forms Ni++ as it dissolves and copper forms a Cu+ complex. The equivalent weight is

Equiv Wt = (fraction Cu) (AW Cu) / (nCu) + (fraction Ni) (AW Ni) / (nNi)

Equiv Wt = (0.4) (63.54) / 1.0 + (0.6) ( 58.7) / 2.0 = 43.0

The above discussion assumes that the sample oxidizes without changing composition. This is not always the case. The dezincification of brass is a well known problem. Under some conditions brass becomes enriched in copper as it corrodes. If selective dissolution occurs in your system the best way to find the equivalent weight may be to measure the concentration of your corrosion products in solution.


EFM Base Frequency

Base Frequency

The Base Frequency determines the repeat time of the EFM waveform. It helps to define the EFM waveform applied to the cell. The two frequencies simultaneously applied to the cell will be

Frequency A = Multiplier A * Base Frequency

and

Frequency B = Multiplier B * Base Frequency


EFM DC Voltage

DC Voltage

The DC Voltage is the voltage to be applied to the cell. This voltage is entered in Volts and can be versus Reference or versus open circuit. For most EFM experiments, the DC Voltage will be 0 V vs open circuit.


EFM Corrosion Type

Corrosion Type

The calculation of corrosion current from EFM data depends upon the mechanism of the corrosion process. The three choices are Activation, Diffusion control, and Passive film control. Your choice here only determines the equation for the run-time display. You may change your choice and recalculate corrosion rate in the Echem Analyst without having to rerun the experiment.


EFM Number of Cycles

Number of Cycles

The Number of Cycles and the Base Frequency determine the duration of an Electrochemical Frequency Modulation experiment. The greater the number of cycles, the longer the experiment will take, but there will be better resolution between peaks in the Intermodulation Spectrum. Although any number may be entered, better results will be obtained if the Number of Cycles is a power of two; 2, 4, 8, ... 128. The Number of Cycles must be 255 or less.

The duration of an EFM experiment will be (Number of Cycles + 1) / (Base Frequency). The first repetition of the Base Frequency (the first cycle) is not used during for the data analysis.


EFM IE Range Mode

I/E Range Mode

The Potentiostat's Current-to-Voltage converter can operate either in the Autorange mode or in the Fixed Range mode. Because the EFM waveform is a complicated AC waveform, better results are generally obtained in the Fixed Range mode. However, for a survey experiment, or in general use, the Autorange mode can be used successfully.

In the Fixed range mode, the current scale is selected based on the entry for the Max Current. In the Autorange mode, the Max Current is used as an initial guess for the proper scale, but subsequent decisions are based on the value of the most recently measured current.


EFM Max Current

Max Current

The Max Current parameter controls the current measurement range when the I/E Range Mode is Fixed. When the I/E Range Mode is Auto, the Max Current parameter specifies the maximum expected starting current.

You enter a Max Current value that is the largest current that you expect to see during the scans. From this information the software sets the current range used in the experiment. In order to use the most sensitive range that will not overload, the software will chose the current range based on a value that is 89% of the full scale current range. For example, when using a PC4/750, if a Max Current of 66 mA is input, the current range will be 75 mA. On the other hand, if a Max Current of 67 mA is entered, the 750 mA current range will be selected.

NOTE: The Max Current parameter is a current not a current density. The electrode area is not used calculation of the current range to use.

If your current data looks very choppy and steppy, the problem could be a poorly selected current range. If you enter a Max Current value of 10 mA and the maximum current in your sweeps is only 100 mA, you are only using 1/100th of the potentiostat's A/D converter range. The result is significant quantization error. Rerun the test entering a smaller Max Current in Setup.

If your current data shows perfectly flat, horizontal regions, the current has most likely overloaded the potentiostat's current measurement circuits. Check that the value that you entered for the Max Current parameter is larger that the actual measured cell current. Try rerunning the test with a larger value for the Max Current


EFM_multiplier

Multiplier A and Multiplier B

Multiplier A and Multiplier B help to define the EFM waveform applied to the cell. The two frequencies simultaneously applied to the cell will be

Frequency A = Multiplier A * Base Frequency

and

Frequency B = Multiplier B * Base Frequency

Multiplier B must be at least two times Multiplier A, and the two multipliers may not share any common factors. Suitable multiplier pairs are 2 and 5 or 2 and 7.


EFM Amplitude

This is the Amplitude of each of the two sine waves, in mV. The overall EFM waveform amplitude will be between 1. and 2. times this number.

The Amplitude should be selected so that it is small compared to the Tafel constants, but large enough to give a reasonable signal. For many systems 10 to 40 mV is a good starting place.


EFM Trend: Runtime Controls

Electrochemical Frequency Modulation Trend: Runtime Controls

The runtime control consist of the standard buttons and Display Pulldown control.

The function of the Skip pushbutton control, however, differs slightly from that in many other Gamry Framework scripts.


Skip: EFM Trend

Skip

If you select Skip during the Conditioning or the Initial Delay, the rest of that phase will be skipped. If you select Skip during a scan, the rest of the scan will be skipped. The data collected up to that point is not lost, and is used to calculate a polarization resistance.

If you select Skip in the delay between measurement cycles, the system does not proceed to the next measurement. This would be an illogical operation given the importance of times in the sequence. Instead, Skip displays a Query box asking you if you wish to terminate the experiment. Selecting Terminate prematurely ends the script. No data is lost. Selecting Continue returns you to the delay between scans.


Trend Repeat Time

Repeat Time

The Repeat Time parameter is the time between each EFM measurement on the cell. For example, if the first measurement begins at 2:08 and the Repeat Time is 30 minutes, additional measurements occur at 2:38, 3:08, 3:38, etc.

The Repeat Time is always entered in minutes. Fractional minutes can be entered as decimal numbers.

The Repeat Time must be longer than the time required to run a single EFM measurement. When you select OK from the Setup dialog box, the script will estimate the time required to run one EFM measurement. If this time is close to or longer than the entered Repeat Time the Framework will output an error box and return you to Setup.


Trend Total Time

Total Time

The Total Time parameter is the duration of the experimental run. The script keeps track of elapsed time since the start of the experiment. At the start of each EFM measurement, this time is compared to the Total Time. If the elapsed time is greater than or equal to the Total Time, the trend experiment is halted, and the runner window is closed.

The Total Time is always entered in hours. Fractional hours can be entered as decimal numbers.

If you want to run one test you can enter a Total Time equal to the Repeat Time. Alternately, you can just run the Electrochemical Frequency Modulation Experiment! If you want N tests enter a Total Time equal to N times the Repeat Time.

A Total Time of zero results in no tests being run.


Abort

The ABORT button is used to cancel the entire experiment.

After you press ABORT, a dialog box will be displayed. In this dialog box you are asked if you really wish to terminate the experiment and lose any data that has not yet been written to your computer's disk.


Default

The Default button in the Setup dialog box is used to restore all the parameters on the screen to their default values. You can use it to fix typing errors or find out previous values for a parameter you have already retyped.

The default values are the values as specified by the Explain script. All of the standard scripts perform an automatic restore of the last used values. These are the values first shown to the user. In order to get to the values specified by the script, use the Default button.


Active Cell

The active cell is the cell (if any) which is currently connected to the system potentiostat. Any electrochemical measurements are made on the active cell.


Aux A/D

The term Aux A/D is used to describe an independent switch in each ECM8 channel. It need not be switched along with the cell connections. In the ECM8 this switch is only used in galvanic corrosion tests. It is used to multiplex the reference electrode signals from each cell to the single Auxiliary A/D input on the system potentiostat.


Channel N

There is one channel setup switch for each of the 8 channels. When channel switch N is selected, an X appears in the checkbox for that channel. As the script loops through the channels, it only run tests on channels that are selected. The numbers for selected channels need not be continuous.


Inactive Cell

The term inactive cell refers to any cell not currently connected to the system potentiostat. Inactive is a slightly misleading term, since an inactive cell can still be "actively" controlled by the ECM8.


EFM muxed area

Area

The Area parameter determines the electrode area used in calculations. Each channel can have a different area.


EFF Muxed Base Filename

Base Filename

The Base Filename is used to derive the filename under which data is stored. Each channel has its own data file. The filename for channel N is made up by appending the character "N" (i.e. 1-8) to the Base Filename, then adding a ".DTA" filename extension. For example, if the Base Filename is EFM, the data file for channel 1 will be named "EFM1.DTA".

The filename resulting from the concatenation of the Base Filename and the channel number must adhere to Windows filename conventions. You should avoid punctuation characters (the underscore, "_", is OK). You are allowed a maximum of 250 (not 255) characters in the Base Filename. The extra characters are reserved for the channel number appended to the Base Filename.


Conditioning Time

The Conditioning Time is the length of time that the sample is potentiostatically controlled at the Conditioning Potential.

The units for Conditioning Time are seconds. The minimum time is one second. The maximum time is 400,000 seconds (more than 4 days). Below 1000 seconds, the time resolution is one second. Between 1000 seconds and 10,000 seconds, it is 10 seconds. Above 10,000 seconds, it is 100 seconds.

CAUTION: If conditioning is selected, all ECM8 cells are conditioned. This includes channels not selected. This could damage electrochemical cells attached to channels that the user thought would be inactive throughout the experiment.


Initial Delay

The Conditioning and Initial Delay steps in the experimental sequence are only performed if the checkbox after the step's name has been selected. If the step is not selected, the numerical controls for that step are grayed out. On an active step, the Delay Time and Stability parameters have their usual meanings.


Identifier-Muxed

Identifier

The Identifier string is virtually identical to the Identifier string for single EFM or EFM Trend experiments. The only difference is that for Multiplexed EFM experiments, the Identifier string refers to an experiment on one channel, not to the entire experimental run.


Notes-Muxed

Notes...

The Notes selection is similar to that used in single EFM experiments. There is, however, a separate Notes entry for each channel in a multiplexed experiment.


PStat/Multiplexer

The PStat and Multiplexer are selected using the labeled buttons. Only one device of each type may be selected. Devices that are not available will be grayed out.

Be careful -- the multiplexer and potentiostat combination that you select must be connected together!


Repeat Time

The Repeat Time parameter is the time between each loop through the channels. For example, if the first loop begins at 2:08 and the Repeat Time is 30 minutes, additional loops start at 2:38, 3:08, 3:38, etc. If the test time is relatively constant, the time between tests on a single channel will be close to the Repeat Time.

The Repeat Time is always entered in minutes. Fractional minutes can be entered as decimal numbers.

The Repeat Time must be longer than the time required to run a single test. When you select OK from the Setup dialog box, the script will estimate the time required to run one test. If this time is close to or longer than the entered Repeat Time the Framework will output an error box and return you to the Setup dialog box.


System

The System setup parameter is used to select a set of electrochemical parameters relevant to your particular test system. The parameters are recovered from the system parameter database file.

The recovered parameters are all used in the calculation of corrosion rate. They are the sample's equivalent weight and density.

When you attempt to run an experiment the system searches the "SYSTEM.SET" file for a parameter set stored under the System name. If no parameter set is found, an error message is displayed and you are returned to the Setup dialog box.


Total Time

The Total Time parameter controls the duration of the experiment. The script keeps track of elapsed time since the start of the experiment. Before each test, this time is compared to the Total Time. If the elapsed time is greater than or equal to the Total Time, the experiment is terminated.

The Total Time is always entered in hours. Fractional hours can be entered as decimal numbers.

If you want to run one test on each cell you can enter a Total Time equal to the Repeat Time. If you want N tests on each cell enter a Total Time equal to N times the Repeat Time. A Total Time of zero results in no tests being run.


Abort (Multiplexed EFM Trend)

Abort

The Abort button cancels the entire experimental run and closes the runner window. Data points are written to the file as soon as they are acquired so data collected prior to selection of Abort will not be lost.


Pause/Continue

Pause and Continue work the same as they do in the DC105


Skip (Multiplexed EFM Trend)

Skip

The Skip button affects only the test currently being run. It causes the Framework to skip the rest of most actions that it can perform. The script then goes on to the next step in the experimental sequence.

If you select Skip during the Conditioning or the Initial Delay of an experiment, the rest of that phase will be skipped. If you select Skip during a scan, the rest of the scan will be skipped. The data collected up to that point is not lost.

If you select Skip in the delay between measurement loops, the system does not proceed to the next loop. Instead, Skip displays a Query box asking you if you wish to terminate the experiment. Selecting Terminate prematurely ends the script. No data is lost. Selecting Continue returns you to the delay between loops.